Skip to navigation

Update AutomationTemplate

Beta
Update AutomationTemplate.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

automation_template_idstringRequired
ID of the AutomationTemplate.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional
descriptionstring or nullOptional

Updated human-readable description. Must be at most 1500 characters. Set to null to clear the existing description; omit to leave it unchanged.

namestringOptional
shouldPublishbooleanOptional
templateCollectionIdstringOptional

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
configVariablesstringOptionalformat: "uri"
createdAtstringOptional
createdFromPipelineobject or nullOptional
creatorobjectOptional
dataFrameVariablesstringOptionalformat: "uri"
idstringOptional
modifiedAtstringOptional
namestringOptional
stepsstringOptionalformat: "uri"
templateCollectionobjectOptional
webUrlstring or nullOptional

Errors

400
Automation Template Update Request Bad Request Error
403
Automation Template Update Request Forbidden Error
404
Automation Template Update Request Not Found Error
409
Automation Template Update Request Conflict Error
429
Automation Template Update Request Too Many Requests Error
500
Automation Template Update Request Internal Server Error